Subject: Re: bug#47437: 28.0.50; pulse-momentary-highlight-overlay breaks if background color is inherited

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Mar 2021 16:26:08 +0300

> From: Ingo Lohmar <[email-masked]>
> Date: Sun, 28 Mar 2021 14:58:15 +0200
> 
> 1) I would have suggested to use 'default' myself, if the docstring of
> `face-background' were not (IMHO) misleading: The paragraph describing
> INHERIT (wrongly) suggested to me that giving a face would also
> disregard the :inherit attribute.
> 
> The same applies to the other helper functions (`face-foreground' etc).
> The docstring of `face-attribute' is clearer ("further merged") about
> the fact that inherit is still followed in the non-t case.
> 
> I suggest to amend the last sentence in the inherit paragraph of all
> these docstrings, from
> 
> "If INHERIT is a face or a list of faces, then it is used to try to
> resolve an unspecified ..."
> 
> to
> 
> "If INHERIT is a face or a list of faces, then it is used to try to
> resolve a value that is still unspecified after considering the
> `:inherit' attribute."

I made a slightly different change (on the release branch), thanks.

> 2) There are two more instances of `face-background' in
> `pulse-reset-face' in the same file, one with a 't' INHERIT argument.  I
> haven't tried to understand the details, but I strongly suspect they
> should get the 'default' argument as well.

I didn't see any places where a nil value could make a problem, so I
didn't change anything here.  If you see any problems, please report
them.